Bug 1008399 - no hardened build
no hardened build
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rtkit (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 06:09 EDT by Harald Reindl
Modified: 2014-01-25 19:29 EST (History)
1 user (show)

See Also:
Fixed In Version: rtkit-0.11-8.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-25 19:29:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2013-09-16 06:09:15 EDT
rtkit-daemon   Partial RELRO     Canary found           NX enabled    No PIE

https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#PIE

If your package meets any of the following criteria you 
MUST  enable the PIE compiler flags:
 * Your package is long running
 * Your package runs as root
Comment 1 Fedora Update System 2014-01-10 00:22:33 EST
rtkit-0.11-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rtkit-0.11-8.fc19
Comment 2 Fedora Update System 2014-01-11 03:43:03 EST
Package rtkit-0.11-8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rtkit-0.11-8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0639/rtkit-0.11-8.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2014-01-25 19:29:38 EST
rtkit-0.11-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.